Subject: Re: DEPRECATED

From: Paul Eggert <[email-masked]>
Date: Mon, 10 Feb 2025 23:35:47 -0800

On 2024-08-23 you wrote:

> root@INF-DESKTOP:/tmp# GZIP=-1 tar cfz saved.config.tar.gz saved.config
> gzip: warning: GZIP environment variable is deprecated; use an alias or script

Yes, that's the intended and documented behavior. The GZIP environment 
variable can make it hard to write portable scripts, as they have to 
unset GZIP to be safe. The intent is that gzip remove support for that 
variable in a future release.

You can work around the problem by using this shell command instead:

    tar -I'gzip -1' -cf saved.config.tar.gz saved.config